.modal-open .modal{
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-dialog {
    width: 500px;
    margin: auto;
}

.modal-close-btn{
    position: absolute;
    top: 16px;
    right: 16px;
    border: none;
    background: none;
    padding: 0;
    height: 18px;
    width: 18px;
}
.modal-close-btn >img{
    position: absolute;
    top: 0;
    right: 0;
}

.modal-content{
    border-radius: 8px;
    background: #7D69AF;
    padding: 50px 10px 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
}

.modal-block-age{
    margin: auto;
}

.modal-block-age .modal-title{
    max-width: 430px;
    font-size: 36px;
}

.modal-block-age .modal-text1{
    width: 360px;
    margin: auto;
}

.before-upload{
    padding-bottom: 30px;
}

.modal-title{
    color: #FFF;
    text-align: center;
    font-family: "CongenialBold";
    font-size: 28px;
    line-height: 120%;
    width: 448px;
    margin: 0 auto;
    font-weight: 700;
}

.modal-title-icon{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-size: 28px;
    line-height: 110%;
    font-weight: 500;
}

.red-text{
    color: #FF9068!important;
}

.modal-text1{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-size: 22px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    padding-top: 18px;
    width: 350px;
    margin: auto;
}

.modal-text2{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
    padding-top: 45px;
    width: 390px;
}

#forgot-password-login .modal-text2{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
    padding-top: 0;
    margin: auto;
}

.cabinet-btn-notify .modal-text2{
    color: #FFF;
    font-family: "CongenialMedium";
    font-weight: 500;
    font-size: 18px;
    line-height: 130%;
    padding-top: 10px;
    width: 390px;
    margin: 0 auto;
}

.cabinet-btn-notify .modal-text2 > a{
    color: #FFF;
    font-family: "CongenialMedium";
    font-weight: 500;
    font-size: 18px;
    line-height: 130%;
    padding-top: 10px;
    width: 390px;
    margin: 0 auto;
    text-decoration: underline;
}

.cabinet-btn-notify .modal-text4{
    margin: 15px auto;
    color: var(--alpine-blue, #8BD1F0);
    text-align: center;
    font-family: CongenialMedium;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%;
    max-width: 390px;
}

.cabinet-btn-notify .alert-button{
    margin: 32px auto 0;
    width: 218px;
}

.modal-text3{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-size: 16px;
    font-weight: 500;
    line-height: 150%;
}

.modal-block-age .modal-text2{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-size: 15px;
    font-weight: 500;
    line-height: 130%;
    padding: 22px 0;
    width: 420px;
    margin: auto;
}

.modal-block-age .button-lang-menu{
    right: initial;
}

.form-date{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 30px 0;
}
.form-date .help-block{
    display: none;
}
.form-date .has-error .help-block{
    display: none;
}

.modal-block-age .form-control{
    border-radius: 4px;
    border: 2px solid var(--gradient-1, #8BD1F0);
    background: #7D69AF;
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
}

.local-page-block .header-lang {
    display: flex;
    padding-left: 90px;
}


.modal-block-age .select2 .select2-selection{
    border-radius: 4px;
    border: 2px solid var(--gradient-1, #8BD1F0);
    background: #7D69AF;
    color: #FFF;
    font-family: "CongenialMedium";
    font-weight: 500;
    font-size: 18px;
    line-height: 130%;
    height: 57px;
    width: 75px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0!important;
}

.select2-results{
    background: #7D69AF!important;
}
.select2-selection__arrow{
    display: none;
}
.select2-search__field{
    display: none;
}
.select2-search--dropdown {
    padding: 0!important;
}

.select2-container--krajee-bs3 .select2-selection--single {
    height: 57px;
    width: 75px;
    /*padding: 4!important;*/
}

.select2-container--krajee-bs3 .select2-selection--single .select2-selection__placeholder {
    color: #FFF!important;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
}
.select2-container--krajee-bs3 .select2-selection--single .select2-selection__rendered {
    color: #FFF!important;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
}
.select2-container--krajee-bs3 .select2-results__option[aria-selected] {
    background: #7D69AF!important;
    color: #FFF!important;
    font-family: "CongenialMedium";
    font-weight: 500;
    font-size: 18px;
    line-height: 130%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px!important;
}
.select2-container--krajee-bs3 .select2-results__option--highlighted[aria-selected] {
    background: #8BD1F0!important;
    color: #7D69AF!important;
}


/* Общий контейнер с выпадающим списком Select2 */
.select2-results__options::-webkit-scrollbar {
    width: 8px;
}

/* Полоса фона */
.select2-results__options::-webkit-scrollbar-track {
    background: #7D69AF;
    border-radius: 4px;
}

/* Бегунок */
.select2-results__options::-webkit-scrollbar-thumb {
    background: #3B2774;
    border-radius: 4px;
}

/* При наведении */
.select2-results__options::-webkit-scrollbar-thumb:hover {
    background: #3B2774;
}
/* Убираем стрелочки у скроллбара Select2 */
.select2-results__options::-webkit-scrollbar-button {
    display: none;
    height: 0;
    width: 0;
}




/*#agecontrol-birth_year::-webkit-scrollbar {*/
/*    width: 6px;*/
/*    background: #E3C441;*/
/*}*/
/*#agecontrol-birth_month::-webkit-scrollbar {*/
/*    width: 6px;*/
/*    background: #E3C441;*/
/*}*/
/*#agecontrol-birth_day::-webkit-scrollbar {*/
/*    width: 6px;*/
/*    background: #E3C441;*/
/*}*/


.modal-block .form-control{
    border-radius: 4px;
    border: 2px solid #8BD1F0;
    background: #7D69AF;
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
    height: 57px;
}

.modal-block .has-error .form-control{
    border: 2px solid #FF9068;
    color: #FF9068;
    /*box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #FF5A1D;*/
}

.modal-block .form-control::placeholder{
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-weight: 500;
}

.modal-form-group{
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-block .modal-button{
    color: #3B2774;
    text-align: center;
    font-family: "CongenialBold";
    font-size: 18px;
    font-style: normal;
    letter-spacing: 0.36px;
    display: flex;
    width: 228px;
    height: 48px;
    /*padding: 14px 36px;*/
    justify-content: center;
    align-items: center;
    border-radius: 40px;
    background: #8BD1F0;
    border: none;
    margin: auto;
    font-weight: 700;
}

.modal-block .modal-button-signup{
    color: #3B2774;
    text-align: center;
    font-family: "CongenialBold";
    font-size: 18px;
    font-style: normal;
    letter-spacing: 0.36px;
    display: flex;
    width: 303px;
    height: 48px;
    padding: 14px 36px;
    justify-content: center;
    align-items: center;
    border-radius: 40px;
    background: #8BD1F0;
    border: none;
    margin: auto;
    font-weight: 700;
}

.modal-block button.disabled {
    opacity: 0.6;
    pointer-events: none;
}


.modal-block .modal-button-signup:hover{
    color: #3B2774;
}

.all-page-forms{
    padding: 30px 0;
    margin: auto;
}

.cabinet-btn-notify .all-page-forms{
    padding: 0 0 10px;
    margin: auto;
}

.all-page-forms >form{
    width: 430px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: auto;
    position: relative;
}

.modal-error-block{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #FF9068;
    text-align: center;
    font-family: "CongenialBold";
    font-size: 18px;
    line-height: 130%;
    margin: 10px 0 -20px;
    font-weight: 700;
}

.all-page-forms label{
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
}
.all-page-forms .has-error label{
    color: #FF9068;
}

.alert-content .modal_forgot_password >a{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-weight: 500;
    font-size: 16px;
    line-height: 150%;
    text-decoration-line: underline;
    text-underline-position: from-font;
}

#password-login .modal_forgot_password{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#password-login .modal-text3{
    margin: 0;
}

.modal_forgot_password{
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal_forgot_password >a{
    color: #FFF;
    text-align: center;
    font-family: "CongenialMedium";
    font-weight: 500;
    font-size: 20px;
    line-height: 150%;
    text-decoration-line: underline;
    text-underline-position: from-font;
}

#resend-password-link.disabled {
    pointer-events: none;
    opacity: 0.5;
}
#resend-password-telegram.disabled {
    pointer-events: none;
    opacity: 0.5;
}
#resend-password-sms.disabled {
    pointer-events: none;
    opacity: 0.5;
}



.border-top{
    min-width: 500px;
    border-top: #8BD1F0 1px solid;
    padding: 8px 0 0;
}
.border-top >p{
    margin: 0;
}

.modal-signup{
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal-signup >a{
    color: #FFF;
    text-align: center;
    font-family: "CongenialBold";
    font-size: 22px;
    line-height: 150%;
    text-decoration-line: underline;
    text-underline-position: from-font;
    font-weight: 700;
}

.signup-checkbox .checkbox input[type="checkbox"] {
    margin: -4px 0 0 -35px;
    width: 24px;
    height: 24px;
}
.signup-checkbox{
    margin: 0 0 0 35px;
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
}
.signup-checkbox .checkbox >a{
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    text-decoration-line: underline;
    text-underline-position: from-font;
}
.checkbox{
    margin: 0;
}
.signup-checkbox .has-error .checkbox{
    color: #FF9068;
}

.has-success .checkbox{
    color: #FFF;
}
.has-success .control-label{
    color: #FFF;
}

#forgot-password-login .field-loginform-phone{
    display: none;
}

#password-login .field-loginform-phone{
    display: none;
}

.icon-block{
    padding: 50px 0 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 30px;
}

.icon-block-inner{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
}

.modal-upload .modal-error-block{
    margin: 0 0 10px;
}

.modal-upload .all-page-forms > form{
    width: 381px;
    margin: auto;
}

.modal-upload .modal-title{
    padding-bottom: 16px;
}

.modal-upload .modal-text1{
    padding: 0 0 14px;
    font-family: "CongenialBold";
    width: 390px;
    margin: 0 auto;
    font-size: 20px;
    font-weight: 700;
}
.modal-upload .modal-text2{
    margin: 0 auto;
    padding: 7px 0 0;
    text-align: start;
    width: 340px;
    font-weight: 500;
}

.modal-upload .modal-text3{
    color: #FFF;
    text-align: center;
    font-family: "CongenialBold";
    font-size: 16px;
    font-weight: 700;
    line-height: 150%;
}

.modal-upload .text-upload-money{
    display: flex;
    justify-content: start;
    align-items: start;
    gap: 6px;
    width: 388px;
    margin: 0 auto;
}
.modal-upload .text-upload-money1{
    padding: 16px 0;
}
.modal-upload .all-page-forms{
    padding: 0 0 30px;
}
.modal-upload .field-attachment{
    display: none;
}

.modal-upload .modal-button{
    width: 300px;
}

.cabinet-btn-notify .modal-button{
    width: 100%;
    max-width: 360px;
}



/*#files-area {*/
/*    max-width: 388px;*/
/*    margin: 0;*/
/*}*/
/*#files-names{*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*}*/

/*.file-block {*/
/*    margin: 5px 0;*/
/*    color: initial;*/
/*    display: inline-flex;*/
/*    align-items: center;*/
/*    justify-content: space-between;*/
/*    position: relative;*/
/*}*/

/*.file-block > span.name {*/
/*    padding: 0 30px 0 6px;*/
/*    display: inline-flex;*/
/*    align-items: center;*/
/*    font-family: "CongenialBold";*/
/*    font-size: 18px;*/
/*    color: #fff;*/
/*    text-align: start;*/
/*    word-break: break-all;*/
/*}*/

/*.file-delete {*/
/*    display: flex;*/
/*    width: 24px;*/
/*    color: initial;*/
/*    font-size: large;*/
/*    justify-content: center;*/
/*    cursor: pointer;*/
/*    position: absolute;*/
/*    top: 50%;*/
/*    right: 0;*/
/*    transform: translateY(-50%);*/
/*}*/
/*.file-delete > img{*/
/*    width: 18px;*/
/*    height: 18px;*/
/*}*/

/*.button_photo{*/
/*    width: 100%;*/
/*    max-width: 388px;*/
/*    min-height: 57px;*/
/*    padding: 0;*/
/*    text-align: end;*/
/*    display: flex;*/
/*    align-items: center;*/
/*    border-radius: 8px;*/
/*    border: 2px solid var(--gradient-1, #E3C441);*/
/*    background: #471B04;*/
/*}*/

/*.form_button_photo{*/
/*    display: flex;*/
/*    justify-content: end;*/
/*    position: relative;*/
/*    z-index: 2;*/
/*}*/

/*.button-upload-text{*/
/*    border-radius: 4px;*/
/*    background: var(--gradient-1, linear-gradient(77deg, #E3C441 28.9%, #FCF4A4 56.02%, #E1C242 83.14%));*/
/*    height: 100%;*/
/*    display: flex;*/
/*    align-items: center;*/
/*    justify-content: center;*/
/*    margin: 0;*/
/*    width: 130px;*/
/*    color: #57260C!important;*/
/*    cursor: pointer;*/
/*}*/

/*.upload-label{*/
/*    color: #FFF;*/
/*    font-family: "CongenialBold";*/
/*    font-size: 18px;*/
/*    line-height: 100%;*/
/*    padding-left: 16px;*/
/*}*/

.form-group{
    margin: 0;
}


.prize-links{
    margin: 20px auto 10px;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 42px;
    width: 445px;
}

.prize-links-inner{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 13px;
    max-width: 445px;
    height: 100px;
    width: 100%;
    padding: 10px 20px 10px 25px;
    border-radius: 10px;
    background: linear-gradient(77deg, rgba(227, 196, 65, 0.10) 28.9%, rgba(252, 244, 164, 0.10) 56.02%, rgba(225, 194, 66, 0.10) 83.14%);
}

.prize-links-inner:hover{
    background: linear-gradient(77deg, rgba(227, 196, 65, 0.30) 28.9%, rgba(252, 244, 164, 0.30) 56.02%, rgba(225, 194, 66, 0.30) 83.14%);
}

.prize-links-inner >img{
    width: 93px;
    margin-top: -40px;
}

.prize-links-inner >a{
    color: #FFF;
    font-family: "CongenialMedium";
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%;
    text-decoration: none;
}



.modal-block .copy-code {
    color: #337ab7;
    text-decoration: underline;
    cursor: pointer;
}


.copy-alert {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #4caf50;
    color: #fff;
    padding: 12px 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    font-size: 14px;
    z-index: 9999;


    opacity: 0;
    pointer-events: none;
    transform: translateY(10px);
    transition: opacity 0.3s, transform 0.3s;
}


.copy-alert.show {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
}




.photo-upload-grid {
    display: grid;
    grid-template-columns: repeat(1, 50px);
    gap: 24px;
    justify-content: center;
}

.photo-upload-grid2 {
    display: grid;
    grid-template-columns: repeat(2, 50px);
    gap: 24px;
    justify-content: center;
}

.photo-slot {
    position: relative;
    width: 100%;
    padding-top: 100%;
    border: 1px dashed #ccc;
    /*border-radius: 8px;*/
    cursor: pointer;
    overflow: hidden;
}

.photo-placeholder,
.photo-preview {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.photo-placeholder span {
    font-size: 28px;
    color: #aaa;
}

.photo-preview {
    position: absolute;
    inset: 0;
    display: none;
    z-index: 1;
}

.photo-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.photo-remove {
    position: absolute;
    inset: 0;
    z-index: 2;
    background: rgba(0, 0, 0, 0.35);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity .2s;
}

.remove-icon {
    width: 24px;
    height: 24px;
    object-fit: contain;
}

.photo-preview:hover .photo-remove {
    opacity: 1;
}

.photo-remove img {
    width: 24px;
    height: 24px;
}


input[type="file"] {
    display: none;
}
